Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error when installing v1.8.3 amd64 #425

Open
p3k opened this Issue Apr 5, 2019 · 0 comments

Comments

Projects
None yet
1 participant
@p3k
Copy link

commented Apr 5, 2019

Trying to install official download prey_1.8.3_amd64.deb using dpkg -i results in the following output:

(Reading database ... 224771 files and directories currently installed.)
Preparing to unpack Downloads/prey_1.8.3_amd64.deb ...
Unpacking prey (1.8.3) over (1.8.2) ...
Setting up prey (1.8.3) ...
Creating user prey...
prey user already exists!
prey already seems to have impersonation privileges. Skipping...
Creating config dir: /etc/prey
Touching log file: /var/log/prey.log
Setting permissions on /usr/lib/prey
chowning /usr/lib/prey/current to uid 999 and gid 999
chowning /usr/lib/prey/versions/1.8.3/README.md to uid 999 and gid 999
chowning /usr/lib/prey/versions/1.8.3/license.txt to uid 999 and gid 999.
…
chowning /etc/prey/config to uid 999 and gid 999
chowning /etc/prey/prey.conf to uid 999 and gid 999
chowning /etc/prey to uid 999 and gid 999
Setting permissions on /var/log/prey.log
chowning /var/log/prey.log to uid 999 and gid 999
Running "config activate" as prey
--
Ensuring presence of config dir: /etc/prey
Syncing /etc/prey/prey.conf with /usr/lib/prey/versions/1.8.3/prey.conf.default
Setting up this as current...
Warning: This version is already set as current.
Setting permissions on /usr/lib/prey/current
Running post_activate hooks...
Voila! All good.
--
Installing init scripts.
localuser:prey being added to access control list
EXCEPTION! 140557097854784:error:140943FC:SSL routines:ssl3_read_bytes:sslv3 alert bad record mac:../deps/openssl/openssl/ssl/s3_pkt.c:1472:SSL alert number 20

Error: 140557097854784:error:140943FC:SSL routines:ssl3_read_bytes:sslv3 alert bad record mac:../deps/openssl/openssl/ssl/s3_pkt.c:1472:SSL alert number 20

    at Error (native)
dpkg: error processing package prey (--install):
 installed prey package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 prey

I found a similar issue for NodeJS but I don’t know how to solve this.

Any hints or suggestions are appreciated.

# lsb_release -a
lsb_release -a
No LSB modules are available.
Distributor ID:	elementary
Description:	elementary OS 5.0 Juno
Release:	5.0
Codename:	juno

# uname -a
Linux AKKA 4.15.0-47-generic #50-Ubuntu SMP Wed Mar 13 10:44:52 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

# lshw -C cpu
  *-cpu                     
       product: Intel(R) Pentium(R) Silver N5000 CPU @ 1.10GHz
       vendor: Intel Corp.
       physical id: 1
       bus info: cpu@0
       size: 2233MHz
       capacity: 2700MHz
       width: 64 bits
       capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp x86-64 constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 sdbg cx16 xtpr pdcm sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave rdrand lahf_lm 3dnowprefetch cpuid_fault cat_l2 pti cdp_l2 ssbd ibrs ibpb stibp ibrs_enhanced tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust smep erms mpx rdt_a rdseed smap clflushopt intel_pt sha_ni xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts umip rdpid arch_capabilities cpufreq
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.